Feeds:
文章
迴響

Posts Tagged ‘CentOS’

CentOS 6 安裝 openssh-clients

CentOS 6 最小安裝之後,沒有 scp 可以使用,
所以當用 pietty (putty) 傳檔案時,
會出現 scp not connection 的錯誤。

#  yum install openssh-clients

廣告

Read Full Post »

CentOS 4.9 升級 PHP 5.3

手邊一台 CentOS 4.9,
有一些功能一定要用到 PHP 5.2 之後的版本,
偏偏 CentOS 4.x 的 PHP 又停留在 4.1.x,
無法透過官方的 yum 來安裝升級,
之前有找到非官方的 yum ,
可以透過 *.jason 發佈的 yum 來更新到 PHP 5.2.x ,
但這種多次非官方升級的方式總讓人不放心。

這次升級安裝,
雖然透過非 yum 的方式,
但是下載的套件都是 RHEL.4 的版本,
至少比較心安一點( ? )…

以下是這次升級所用到的套件:

libedit0-3.0-1.20090722cvs.el4.i386.rpm
php-common-5.3.6-1.el4.remi.i386.rpm
php-5.3.6-1.el4.remi.i386.rpm
php-mbstring-5.3.6-1.el4.remi.i386.rpm
php-cli-5.3.6-1.el4.remi.i386.rpm
php-xml-5.3.6-1.el4.remi.i386.rpm

這幾個套件到 http://rpm.pbone.net/ 就可以找到了。
( 請搜尋 RHEL.4 的版本)

安裝過程中最大的問題就是套件相依性問題,
所以我一開始就將系統中任何關於 php、httpd 的 rpm 套件都移除,
只要用一個

# rpm -Uvh *.rpm

就將以上的套件升級安裝完畢。

以下是 PHP 相關套件的版本:

[root@centos ~]# rpm -qa|grep php
php-xml-5.3.6-1.el4.remi
php-common-5.3.6-1.el4.remi
php-mbstring-5.3.6-1.el4.remi
php-5.3.6-1.el4.remi
php-cli-5.3.6-1.el4.remi
[root@sambar rpm]#

以下是 httpd 的相關版本:

[root@centos ~]# rpm -qa|grep httpd
httpd-suexec-2.0.52-47.ent.centos4
httpd-2.0.52-47.ent.centos4
[root@centos ~]#

Read Full Post »

CentOS 4.x Server CD 安裝 Raid 1 ,
重新開機之後,
出現

error: unknow filsystem

解決法:
以 CentOS 4.4 Server CD 開機後,
輸入: linux rescue
進入救援模式。

( grub 不支援 md,所以重建過程會產生 /dev/md0 does not have any corresponding BIOS drive. 的錯誤)

進入 rescue 模式之後,
輸入:
1) grub       # 進入interpreter 模式
2) root (hd0,0)    # 定出根目錄 
3) setup (hd0)    # 將 grub 安裝在 MBR

重新開機之後,
grub 就正常了。

Read Full Post »

各版本的 CentOS ISO 可以到這邊下載:

http://vault.centos.org/

包含 3.9 Server CD ,到最新的 5.5 DVD 都有。

Read Full Post »

CentOS 5 升級 PHP 5.2.x

CentOS 5 官方 yum update 只能升到 5.1.6 ,
透過下列方式,
升級到 PHP 5.2.x 。

http://www.atomicorp.com/wiki/index.php/PHP

wget -q -O - http://www.atomicorp.com/installers/atomic.sh | sh
 
記得備份一下 /etc/php.ini 吧!
 

Read Full Post »

CentOS 近期發行版本

CentOS 近期的發行版本:

Singal Server CD 4.7 → go

Singal Server CD 3.9 → go

Live CD 5.5 Release2 → go

Live CD 4.4 → go

Read Full Post »

OS:CentOS
套件:httpd-2.2.3-43.el5.centos

設定 VirtualHost 之後會出現下列錯誤:

[warn] _default_ VirtualHost overlap on port 80, the first has precedence

解決方式:
修改 http.conf
設定 NameVirtualHost *:80
重新啟動 httpd 。
搞定!

Read Full Post »

Older Posts »